# Uses of Class
org.lwjgl.opencl.CLPlatform

Packages that use CLPlatform
Package
Description
org.lwjgl.opencl

## Uses of CLPlatform in org.lwjgl.opencl

Methods in org.lwjgl.opencl that return CLPlatform
Modifier and Type
Method
Description
`static CLPlatform`
CLPlatform.`getCLPlatform(long id)`
Returns a CLPlatform with the specified id.
`CLPlatform`
CLDevice.`getPlatform()`
Methods in org.lwjgl.opencl that return types with arguments of type CLPlatform
Modifier and Type
Method
Description
`static List<CLPlatform>`
CLPlatform.`getPlatforms()`
Returns a list of all the available platforms.
`static List<CLPlatform>`
CLPlatform.`getPlatforms(Filter<CLPlatform> filter)`
Returns a list of the available platforms, filtered by the specified filter.
Methods in org.lwjgl.opencl with parameters of type CLPlatform
Modifier and Type
Method
Description
`static int`
CL10.`clGetDeviceIDs(CLPlatform platform, long device_type, PointerBuffer devices, IntBuffer num_devices)`
`static int`
CL10.`clGetPlatformInfo(CLPlatform platform, int param_name, ByteBuffer param_value, PointerBuffer param_value_size_ret)`
`static int`
CL12.`clUnloadPlatformCompiler(CLPlatform platform)`
`static CLContext`
CLContext.`create(CLPlatform platform, List<CLDevice> devices, IntBuffer errcode_ret)`
Creates a new CLContext.
`static CLContext`
CLContext.`create(CLPlatform platform, List<CLDevice> devices, CLContextCallback pfn_notify, IntBuffer errcode_ret)`
Creates a new CLContext.
`static CLContext`
CLContext.`create(CLPlatform platform, List<CLDevice> devices, CLContextCallback pfn_notify, Drawable share_drawable, IntBuffer errcode_ret)`
Creates a new CLContext.
`static CLContext`
CLContext.`createFromType(CLPlatform platform, long device_type, IntBuffer errcode_ret)`
Creates a new CLContext.
`static CLContext`
CLContext.`createFromType(CLPlatform platform, long device_type, CLContextCallback pfn_notify, IntBuffer errcode_ret)`
Creates a new CLContext.
`static CLContext`
CLContext.`createFromType(CLPlatform platform, long device_type, CLContextCallback pfn_notify, Drawable share_drawable, IntBuffer errcode_ret)`
Creates a new CLContext.
`static CLPlatformCapabilities`
CLCapabilities.`getPlatformCapabilities(CLPlatform platform)`
Method parameters in org.lwjgl.opencl with type arguments of type CLPlatform
Modifier and Type
Method
Description
`static List<CLPlatform>`
CLPlatform.`getPlatforms(Filter<CLPlatform> filter)`
Returns a list of the available platforms, filtered by the specified filter.
Constructors in org.lwjgl.opencl with parameters of type CLPlatform
Modifier
Constructor
Description
``
`CLPlatformCapabilities(CLPlatform platform)`